Subject: Re: Switching from CVS to GIT

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Oct 2007 03:17:08 -0400

> Date: Tue, 16 Oct 2007 08:42:53 +0200
> From: Johannes Sixt <[email-masked]>
> Cc: Daniel Barkalow <[email-masked]>, [email-masked],
> 	[email-masked], [email-masked],
> 	Benoit SIGOURE <[email-masked]>,
> 	"[email-masked] >> Git Mailing List" <[email-masked]>,
> 	Make Windows <[email-masked]>
> 
> Thanks to Marius Storm-Olsen we already have a stat replacement that's twice 
> as fast as msvcrt's stat. I calls only one API function 
> (GetFileAttributesEx, but of course I don't know what's going on under its 
> hood), because we need only a small part of struct stat filled in correctly.

Yes, I've seen that.  What I'm saying is that you can combine
`readdir' with `stat' in one API call (FindFirstFile/FindNextFile),
which will both read the directory and return you the attributes you
get from `stat'.  Think about `readdir' that brings you mode bits and
modification time together with the name, as some modern systems do.